package com.mcwl.pay.service;

import com.alipay.api.AlipayApiException;
import com.mcwl.common.core.domain.AjaxResult;
import com.mcwl.pay.domain.OrderTradeDto;

public interface AliPayService {
    String bindingCallback(String authCode, String state);

    String memberPay(OrderTradeDto orderTradeDto) throws Exception;

    String pointsPay(Double paymentAmount) throws Exception;

    AjaxResult fetch(String outBizNo, String amount) throws AlipayApiException;

    String balance(Long userId) throws AlipayApiException;
}
